package com.yonge.cooleshow.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yonge.cooleshow.biz.dal.entity.UserAccount;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author: liweifan
 * @Data: 2022-03-30 13:53:51
 */
@ApiModel(value = "UserAccountVo对象", description = "用户账户表查询视图对象")
public class UserAccountVo extends UserAccount{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("未入账金额 ")
	private BigDecimal amountUnrecorded;

	@ApiModelProperty("已入账金额 ")
	private BigDecimal amountRecorded;

	@ApiModelProperty("酷乐秀推广已入账金额 ")
	private BigDecimal amountShare;

	public BigDecimal getAmountUnrecorded() {
		return amountUnrecorded;
	}

	public void setAmountUnrecorded(BigDecimal amountUnrecorded) {
		this.amountUnrecorded = amountUnrecorded;
	}

	public BigDecimal getAmountRecorded() {
		return amountRecorded;
	}

	public void setAmountRecorded(BigDecimal amountRecorded) {
		this.amountRecorded = amountRecorded;
	}

	public BigDecimal getAmountShare() {
		return amountShare;
	}

	public void setAmountShare(BigDecimal amountShare) {
		this.amountShare = amountShare;
	}
}